 Program ForGreenwichSideRealTime;
 Uses
   UnConTyp ,
   Un2000_C , UnXY2000 ,
   Un2000_S , UnZFiles , Un2000_U ,
   ZUnCoTy , ZUniTime , ZUNutC ;
 Var
   ft  : Text ;
   dm  : Extended ;
   dd  : Extended ;
   dt  : Extended ;
   dc  : Extended ;
   gm  : Extended ;
   gs  : Extended ;
   gf  : Extended ;
   fundarg  : TypeFundArg ;
   deltapsi,deltaeps,epsmean  : Extended ;
 Begin
   Assign(ft,'gsrtime.prt');
   ReWrite(ft);
   dm:=JD2000+20*365.25;
   dt:=36.525/2;
   dd:=JD2000-5*365.25-dt;
   While  dd < dm  Do
     Begin
       dd:=dd+dt;
       gf:=ToGetGSTime(dd); { in radian from file N2000_3.TXT }
       dc:=dd-DifEpoch;
       ClcGrMSTime(dc,gm);
       ClcNut(dc,fundarg,deltapsi,deltaeps,epsmean);
       gs:=gm+deltapsi*Cos(EpsMean);
       WriteLn(dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
       WriteLn(ft,dd:15:2,RadSec*(gs-gf):20:6);
     End;
   Close(ft);
 End.