 Program ForRelativityResolution ;
 Uses
   UnConTyp ,  UnRelat  , UnQM2000 , UnForFun ;
 Var
   ft  : Text ;
   v1,v2,a1,a2,b1,b2  : Extended ;
   dd,da,db  : Extended ;
   qrmatr  : TMatr33 ;
   rp,re  : TVect3 ;
   ar,br  : Extended ;
   rc  : TVect3 ;
 Begin
   rp[1]:=3466.307348; { X in km }
   rp[2]:=3059.439248; { Y in km }
   rp[3]:=4382.036255; { Zelenchuk }
   rp[1]:=42000.0;
   rp[2]:=-800.0;
   rp[3]:=-21.0;
   Assign(ft,'relatdif.prt');
   ReWrite(ft);
   dd:=0.1; { step in day for integration }
   da:=JD2000; { initial point }
   db:=da+1;
   a1:=ToGetTIntPartOne(da);
   b1:=ToGetTIntPartTwo(da);
   v1:=0;
   v2:=0;
   QRMatr2000(da,da,0.0,0.0,qrmatr);
   MultMatrVec(qrmatr,rp,re);
   ar:=ToGetTVelPartOne(da,re);
   br:=ToGetTVelPartTwo(da,re);
   WriteLn(da:12:2,86400*v1:15:6,ar:15:8,86400*v2:15:10,br:15:10);
   While  da < db  Do
     Begin
       da:=da+dd;
       a2:=ToGetTIntPartOne(da);
       b2:=ToGetTIntPartTwo(da);
       v1:=v1+0.5*(a1+a2)*dd;
       v2:=v2+0.5*(b1+b2)*dd;
       a1:=a2;
       b1:=b2;
       QRMatr2000(da,da,0.0,0.0,qrmatr);
       MultMatrVec(qrmatr,rp,re);
       ar:=ToGetTVelPartOne(da,re);
       br:=ToGetTVelPartTwo(da,re);
       WriteLn(da:12:2,86400*v1:15:6,ar:15:8,86400*v2:15:10,br:15:10);
     End;
   { relative correction to position }
   da:=JD2000; { initial point }
   db:=da+2;
   dd:=0.01;
   da:=da+dd;
   QRMatr2000(da,da,0.0,0.0,qrmatr);
   MultMatrVec(qrmatr,rp,re);
   ForPosCorrection(da,re,rc);
   WriteLn(da:12:2,rc[1]:15:9,rc[2]:15:9,rc[3]:15:9);
   While  da < db  Do
     Begin
       ar:=ToGetTVelPartOne(da,re);
       QRMatr2000(da,da,0.0,0.0,qrmatr);
       MultMatrVec(qrmatr,rp,re);
       ForPosCorrection(da,re,rc);
       WriteLn(da:12:2,ar:15:9,rc[1]:15:9);
       WriteLn(ft,da:12:2,ar:15:9,rc[1]:15:9);
       da:=da+dd;
     End;
   Close(ft);
 End.