 Program ToCalculateModellingPolarMotion ;
 Uses
   UnConTyp , Un2000_C , UnXYPole ;
 Var
   nc  : Byte ;
   d,dt,dm  : Extended ;
   xpt,ypt,xpn,ypn  : Extended ;
 Begin
   nc:=0;
   dt:=0.05;
   d:=JD2000;
 Repeat
   dt:=0.05; { in day }
   dm:=d+0.96;
   While  d < dm  Do
     Begin
       PolarTideCor(d,xpt,ypt); { correction in arcsec }
       PolarNutCor(d,xpn,ypn);
       WriteLn(d:12:2,1.0e3*xpt:17:8,1.0e3*ypt:15:8,
                      1.0e3*xpn:17:8,1.0e3*ypn:15:8); { in milliarcsec }
       d:=d+dt;
     End;
   d:=d+2*300;
   nc:=nc+1;
 Until  nc = 10 ;
 End.