 Program ToCompareValueForGreenwichSideRealTime;
 Uses
   UnConTyp , UnXY2000 ,
   Un2000_S , Un2000_U , UnZFiles ,
   ZUnCoTy , ZUniTime , ZUNutC ;
 Var
   ft  : Text ;
   dm  : Extended ;
   dd  : Extended ;
   dt  : Extended ;
   dc  : Extended ;
   gm  : Extended ;
   gs  : Extended ;
   gf  : Extended ;
   fundarg  : TypeFundArg ;
   deltapsi,deltaeps,epsmean  : Extended ;
 Begin
   Assign(ft,'compzt.prt');
   ReWrite(ft);
   dm:=JD2000+10;
   dd:=JD2000-10;
   dt:=0.2;
   WriteLn(ft,'to compare with the old value',
              '  differencies in ArcSec');
   While  dd < dm  Do
     Begin
       dd:=dd+dt;
       gf:=ToGetGSTime(dd); { in radian from file N2000_3.TXT }
       dc:=dd-DifEpoch;
       ClcGrMSTime(dc,gm);
       ClcNut(dc,fundarg,deltapsi,deltaeps,epsmean);
       gs:=gm+deltapsi*Cos(EpsMean);
       WriteLn(dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
       WriteLn(ft,dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
     End;
   dm:=JD2000+10000;
   dd:=JD2000-10000;
   dt:=201.3;
   WriteLn(ft,'to compare with the old value',
              '  differencies in ArcSec');
   While  dd < dm  Do
     Begin
       dd:=dd+dt;
       gf:=ToGetGSTime(dd); { in radian from file N2000_3.TXT }
       dc:=dd-DifEpoch;
       ClcGrMSTime(dc,gm);
       ClcNut(dc,fundarg,deltapsi,deltaeps,epsmean);
       gs:=gm+deltapsi*Cos(EpsMean);
       WriteLn(dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
       WriteLn(ft,dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
     End;
   dm:=JD2000+10;
   dd:=JD2000-10;
   dt:=2.5;
   WriteLn(ft,'to compare two methods of calculations');
   While  dd < dm  Do
     Begin
       dd:=dd+dt;
       gf:=ToGetGSideRealTime(dd); { in radian from file N2000_3.TXT }
       gs:=ToGetGSTime(dd); { in radian from unit Un2000_s.pas }
       dc:=dd-DifEpoch;
       WriteLn(dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
       WriteLn(ft,dc:9:2,gf:20:15,gs:20:15,RadSec*(gs-gf):20:6);
     End;
   Close(ft);
 End.